2019-05-23 05:47 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006160Spring engineGeneralpublic2019-03-15 14:14
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006160: 104.0.1-1060-g7f3541f maintenence Failed to allocate memory
DescriptionHere are some failure to allocate memory crashes. They don't appear to be directly lua or AI related just from looking at the logs.
https://github.com/ZeroK-RTS/CrashReports/issues/20539
https://github.com/ZeroK-RTS/CrashReports/issues/20540
https://github.com/ZeroK-RTS/CrashReports/issues/20543
https://github.com/ZeroK-RTS/CrashReports/issues/20546
https://github.com/ZeroK-RTS/CrashReports/issues/20547 - Looks like a crazy metalmult game
https://github.com/ZeroK-RTS/CrashReports/issues/20549
https://github.com/ZeroK-RTS/CrashReports/issues/20551
https://github.com/ZeroK-RTS/CrashReports/issues/20582
TagsNo tags attached.
Checked infolog.txt for lua ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0019833

Kloot (developer)

20539 - audio thread hang, "Intel(R) Pentium(R) CPU G2030 @ 3.00GHz; 3299MB RAM"
20540 - unknown
20543 - same as 20539
20546 - same as 20539
20547 - "[f=0103400] [Sound] Error: [COggStream::DecodeStream]: AL_OUT_OF_MEMORY"
20549 - "[Sound] Error: SoundBuffer::AlGenBufferData: AL_OUT_OF_MEMORY", 10 CircuitAI's
20551 - "[f=0148193]", 4 CircuitAI's
20582 - "AMD Athlon(tm) 64 X2 Dual Core Processor 5600+; 3325MB RAM"

~0019851

Google_Frog (reporter)

Another, was not a synced crash as the player was able to rejoin the game: https://github.com/ZeroK-RTS/CrashReports/issues/20628

~0019852

Google_Frog (reporter)

I experienced the crash. It occurred upon selecting a Caretaker, so could be related to playing sounds. Also, the map (https://zero-k.info/Maps/Detail/49544) has broken sound files and spams the following error:

[f=0021389] [Sound] Warning: [LoadSoundBuffer] failed to load file "LuaUI/sounds/ambient/lavaambient1.ogg"

The ZK wrapper must have not detected a Spring crash, as I saw no automated crash report popup. Other players crashed in this game (see above) but were able to rejoin and not crash.

~0019856

Kloot (developer)

LuaUI/sounds/ambient/lavaambient1.ogg shipped by Violence 4.2 (and similar maps such as Incandescence) weighs in at 4.6MB and is played in a loop, which explains the spam and eventual AL_OUT_OF_MEMORY errors.

1084-gdee0ebd has a filter for bad sound files and should cross out the majority of these reports.
+Notes

-Issue History
Date Modified Username Field Change
2019-03-13 04:42 Google_Frog New Issue
2019-03-13 12:37 Kloot Note Added: 0019833
2019-03-15 02:51 Google_Frog Note Added: 0019851
2019-03-15 03:12 Google_Frog File Added: infolog.txt
2019-03-15 03:12 Google_Frog Note Added: 0019852
2019-03-15 03:12 Google_Frog File Added: memory.JPG
2019-03-15 03:12 Google_Frog File Added: 20190315_114955_Violence_4_104.0.1-1060-g7f3541f maintenance.sdfz
2019-03-15 14:11 Kloot Note Added: 0019856
2019-03-15 14:14 Kloot Assigned To => Kloot
2019-03-15 14:14 Kloot Status new => resolved
2019-03-15 14:14 Kloot Resolution open => fixed
2019-03-15 14:14 Kloot Fixed in Version => 104.0 +git
+Issue History